<template>
  <div class="gpa-inventory gpa-inventory--patches">
    <rui-panel v-show="$route.name === 'inventory-patch-elements' || $largerThan('medium')" class="gpa-inventory__panel gpa-inventory__panel__content">
      <gpa-elements-inventory-menu route-name="inventory-patch-element-observations"
                                   base-route-name="inventory-patch-element"
                                   :elements="patch.elements"
                                   show-rotation-groups />
    </rui-panel>
    <div v-show="$route.name !== 'inventory-patch-elements' || $largerThan('medium')" class="gpa-inventory__view">
      <router-view />
    </div>
  </div>
</template>

<script>
import RuiPanel from '@experiments-labs/rise_ui/src/components/Panel/Panel.vue'

import GpaElementsInventoryMenu from './Elements/_InventoryMenu.vue'

/**
 * @typedef {import('../../../classes/models/Patch')} Patch
 */

/**
 * Inventory page to display details on an Element
 */
export default {
  name: 'GpaInventoryPatchElements',
  components: { RuiPanel, GpaElementsInventoryMenu },
  computed: {
    /** @returns {Patch} Patch to display */
    patch () { return this.$store.getters.patch(parseInt(this.$route.params.patchId, 10)) },
  },
}
</script>
